[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [PATCH 2/2] DO NOT APPLY git-checkout.sh: add sleep to demonstrate race



This allows easy reproduction of git-checkout races: each checkout
waits until you kill its sleep.  You can see the multiple identical
checkout runes in ps etc.  A good rune is:
  watch 'ps -fHtpts/60'
(replacing pts/60 with the pty of your build job).

Signed-off-by: Ian Jackson <ian.jackson@xxxxxxxxxxxxx>
---
 scripts/git-checkout.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/scripts/git-checkout.sh b/scripts/git-checkout.sh
index 20ae31ff23..290026ad32 100755
--- a/scripts/git-checkout.sh
+++ b/scripts/git-checkout.sh
@@ -11,6 +11,8 @@ DIR=$3
 
 set -e
 
+sleep 1000 ||:
+
 if test \! -d $DIR-remote; then
        rm -rf $DIR-remote $DIR-remote.tmp
        mkdir -p $DIR-remote.tmp; rmdir $DIR-remote.tmp
-- 
2.11.0


_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxxx
https://lists.xenproject.org/mailman/listinfo/xen-devel

 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.